AOMedia AV1 Codec: Data Fields

| AOMedia AV1 Codec

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:
A
B
C
D
E
F
G
H
I
J
K
L
M
N
O
P
Q
R
S
T
U
V
W
X
Y
Z

### - p -

- p_mt_info : AV1_PRIMARY
- p_num_workers : PrimaryMultiThreadInfo
- p_rc : AV1_PRIMARY
- p_workers : PrimaryMultiThreadInfo
- pack_bs_mt_enabled : MultiThreadInfo
- pack_bs_sync : MultiThreadInfo
- palette_buffer : macroblock
- palette_mode_info : MB_MODE_INFO
- palette_pixel_num : AV1_COMP
- palette_pixels : macroblock
- palette_uv_color_cost : ModeCosts
- palette_uv_mode_cost : ModeCosts
- palette_uv_size_cost : ModeCosts
- palette_y_color_cost : ModeCosts
- palette_y_mode_cost : ModeCosts
- palette_y_size_cost : ModeCosts
- parallel_cpi : AV1_PRIMARY
- parallel_frames_data : AV1_PRIMARY
- part_search_info : macroblock
- part_sf : SPEED_FEATURES
- partition : CommonContexts, MB_MODE_INFO
- partition_cost : ModeCosts
- partition_decision : aom_partition_decision
- partition_horz4_allowed : aom_partition_decision
- partition_id : aom_codec_cx_pkt::[struct].data.frame
- partition_none_allowed : aom_partition_decision
- partition_rect_allowed : aom_partition_decision
- partition_vert4_allowed : aom_partition_decision
- pass : AV1EncoderConfig
- past_stats_count : FIRSTPASS_INFO
- payload : aom_metadata
- pcnt_inter : FIRSTPASS_STATS
- pcnt_motion : FIRSTPASS_STATS
- pcnt_neutral : FIRSTPASS_STATS
- pcnt_second_ref : FIRSTPASS_STATS
- percent_refresh : CYCLIC_REFRESH
- percent_refresh_adjustment : CYCLIC_REFRESH
- pick_lr_ctxt : AV1_COMP
- picked_ref_frames_mask : macroblock
- pipeline_lpf_mt_with_enc : MultiThreadInfo
- pix_to_bottom_edge : macroblock
- pix_to_right_edge : macroblock
- pixel_gradient_info : macroblock
- plane : macroblock, macroblockd
- planes : aom_image
- pmi_uv : IntraModeSearchState
- pop_lookahead : AV1_COMP_DATA
- ppi : AV1_COMP
- pred0 : CompoundTypeRdBuffers
- pred1 : CompoundTypeRdBuffers
- pred_mv0_sad : macroblock
- pred_mv1_sad : macroblock
- pred_mv_sad : macroblock
- pred_sse : macroblock
- predict_dc_level : TxfmSearchParams, WinnerModeParams
- prep_rate_estimates : AV1_COMP
- prev_frame : AV1Common
- prev_gop_arf_disp_order : TplParams
- prev_gop_arf_src : TplParams
- prev_gop_arf_tpl_recon : TplParams
- prev_num_enc_workers : PrimaryMultiThreadInfo
- prev_segment_id : macroblock
- prev_ts_end : TimeStamps
- prev_ts_start : TimeStamps
- primary_ref_frame : FeatureFlags
- priv : aom_codec_ctx, aom_codec_frame_buffer, aom_ext_part_funcs
- projected_frame_size : RATE_CONTROL
- prune_2d_txfm_mode : TxfmSearchParams
- prune_rect_part : aom_partition_decision
- prune_ref_frame_mask : AV1_COMP
- psnr : aom_codec_cx_pkt::[struct]aom_psnr_pkt.data.psnr, aom_codec_cx_pkt::[union].data
- psnr_hbd : aom_codec_cx_pkt::[struct]aom_psnr_pkt.data.psnr
- pts : aom_codec_cx_pkt::[struct].data.frame, WARP_SAMPLE_INFO
- pts_inref : WARP_SAMPLE_INFO
- pyramid_level : aom_partition_features